import xhiveframework


def execute():
	xhiveframework.reload_doctype("System Settings")
	doc = xhiveframework.get_single("System Settings")
	doc.enable_chat = 1

	# Changes prescribed by Nabin Hait (nabin@xhiveframework.io)
	doc.flags.ignore_mandatory = True
	doc.flags.ignore_permissions = True

	doc.save()
